TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = algobox
CONFIG	+= qt warn_off release
QT += xml \
      webkit
ALGOBOXVERSION=0.1
DEFINES += ALGOBOXVERSION=\\\"$${ALGOBOXVERSION}\\\"
###############################
HEADERS	+= algobox.h \
	browserdialog.h \
	variabledialog.h \
	liredialog.h \
	afficherdialog.h \
	messagedialog.h \
	affectationdialog.h \
	conditiondialog.h \
	pourdialog.h \
	tantquedialog.h \
	aproposdialog.h 
SOURCES	+= main.cpp \
	algobox.cpp \
	browserdialog.cpp \
	variabledialog.cpp \
	liredialog.cpp \
	afficherdialog.cpp \
	messagedialog.cpp \
	affectationdialog.cpp \
	conditiondialog.cpp \
	pourdialog.cpp \
	tantquedialog.cpp \
	aproposdialog.cpp 
RESOURCES += algobox.qrc
FORMS += algobox.ui \
	 browserdialog.ui \
	variabledialog.ui \
	liredialog.ui \
	afficherdialog.ui \
	messagedialog.ui \
	affectationdialog.ui \
	conditiondialog.ui \
	pourdialog.ui \
	tantquedialog.ui \
	aproposdialog.ui
################################
unix:!macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
target.path = AlgoBoxLinux-$${ALGOBOXVERSION}
INSTALLS = target
HEADERS	+= x11fontdialog.h
SOURCES	+= x11fontdialog.cpp
FORMS += x11fontdialog.ui
utilities.path = AlgoBoxLinux-$${ALGOBOXVERSION}/ressources
utilities.files = ressources/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_tri_abulle.alg \
		ressources/prof_valeur_absolue.alg \
		ressources/aidealgobox.html
INSTALLS += utilities
}
################################
win32 {
INCLUDEPATH += C:\MinGW\include
RC_FILE = win.rc
target.path = AlgoBoxWin32
INSTALLS = target
utilities.path = AlgoBoxWin32/ressources
utilities.files = ressources/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_tri_abulle.alg \
		ressources/prof_valeur_absolue.alg \
		ressources/aidealgobox.html
INSTALLS += utilities
others.path = AlgoBoxWin32
others.files = algobox.ico \
		C:\MinGW\bin\mingwm10.dll \
		C:\Qt\qt-win-opensource-src-4.5.2\bin\QtCore4.dll \
		C:\Qt\qt-win-opensource-src-4.5.2\bin\QtGui4.dll \
		C:\Qt\qt-win-opensource-src-4.5.2\bin\QtWebKit4.dll \
		C:\Qt\qt-win-opensource-src-4.5.2\bin\QtXml4.dll \
		C:\Qt\qt-win-opensource-src-4.5.2\bin\QtNetwork4.dll
INSTALLS += others
#Patch Qt RandomNumber.cpp
#double r;
#r = ((double)rand()/((double)(RAND_MAX)+(double)(1)));
#return r;
}
###############################
macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
##universal tiger
CONFIG += link_prl x86 ppc
QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.4u.sdk
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.4
target.path = AlgoBoxMacosx
INSTALLS = target
utilities.path = Contents/Resources
utilities.files = ressources/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_tri_abulle.alg \
		ressources/prof_valeur_absolue.alg \
		ressources/aidealgobox.html
QMAKE_BUNDLE_DATA += utilities
INSTALLS += utilities
ICON = algobox.icns
QMAKE_INFO_PLIST =Info.plist
}
